<?php
/*
Template Name: Vehicle Listing (listing  page layout)
*/
?>

<?php
// Displaying header
get_header();

// Displaying single page banner
get_template_part('elements/banner-single');
?>

<?php
$sidebarPosition = get_field('listing_sidebar_position');
if(!isset($sidebarPosition) || !$sidebarPosition) {
    $sidebarPosition = $autocar['opt_default_listing_sidebar_position'] ? $autocar['opt_default_listing_sidebar_position'] : 'Right';
}


$vehicles = new WP_Query(wp_autocar_get_vehicles_query_builder($_GET));
?>

<?php if($vehicles->post_count > 0 || sizeof($_GET) > 0):?>
    <div class="car-list content-area">
        <div class="container">
            <div class="row">

                <div class="col-lg-8 col-md-8 col-xs-12 <?php if($sidebarPosition == 'Left'){echo esc_attr('col-lg-push-4 col-md-push-4');}?>">
                    <?php
                    $view = strtolower(get_field('listing_view'));
                    if(array_key_exists('view', $_GET) && $_GET['view']){
                        $view = $_GET['view'];
                    } else if(!$view) {
                        $view = strtolower($autocar['opt_default_listing_view']);
                    }
                    ?>
                    <!-- Block heading Start-->
                    <?php get_template_part('elements/option-bar')?>
                    <!-- Block heading end -->
                    <div class="clearfix"></div>

                    <?php if($vehicles->post_count > 0):?>
                        <div>
                            <?php while($vehicles->have_posts()): $vehicles->the_post(); ?>
                                <?php if($view == 'grid'): ?>
                                    <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                                        <?php get_template_part('elements/listing-grid') ?>
                                    </div>
                                <?php else:?>
                                    <?php get_template_part('elements/listing-list') ?>
                                <?php endif;?>
                            <?php endwhile;?>

                            <?php if($vehicles->max_num_pages): ?>
                                <div class="page-count"><?php _e('Showing page','autocar'); ?> <?php echo esc_attr($paged == 0 ? $paged + 1 : $paged); ?> <?php _e('of','autocar'); ?> <?php echo esc_attr($vehicles->max_num_pages); ?></div>
                                <?php wp_autocar_pagination($vehicles->max_num_pages); ?>
                                <br/>
                            <?php endif; ?>
                        </div>
                    <?php else:?>
                        <?php get_template_part('elements/record-not-found') ?>
                    <?php endif;?>
                </div>

                <div class="col-lg-4 col-md-4 col-xs-12 <?php if($sidebarPosition == 'Left'){echo esc_attr('col-lg-pull-8 col-md-pull-8');}?>">
                    <!-- Sidebar start-->
                    <div class="sidebar">
                        <aside class="sidebar-widget">
                            <?php get_sidebar('vehicle'); ?>
                        </aside>
                        <!-- end-->
                    </div>
                    <!-- Sidebar end-->
                </div>
            </div>
        </div>
    </div>
<?php else:?>
    <div class="content-area">
        <div class="container">
            <?php get_template_part('elements/record-not-found') ?>
        </div>
    </div>
<?php endif;?>

<?php get_footer();?>