<?php
if( !function_exists('autocar_comment') ){
	function autocar_comment($comment, $args, $depth) {
		$GLOBALS['comment'] = $comment; ?>
        <li>
            <div class="comment">
                <div class="comment-author">
                    <a><?php echo get_avatar($comment, $size = '70'); ?></a>
                </div>
                <div class="comment-content">
                    <div class="comment-meta">
                        <div class="comment-meta-author">
                            <?php echo esc_url(comment_author_link(get_comment_ID()))?>
                        </div>
                        <div class="comment-meta-reply">
                            <?php comment_reply_link(array_merge($args, array('reply_text' => '<i class="fa fa-reply"></i> Reply', 'depth' => $depth, 'max_depth' => $args['max_depth']))); ?>
                        </div>
                        <?php edit_comment_link(__('(Edit)', 'autocar'), '', ''); ?>
                    </div>
                    <div class="clearfix"></div>

                    <div class="comment-body">
                        <p><?php comment_text(); ?></p>
                        <div class="date">
                            <i class="fa fa-clock-o"></i>
                            <time datetime="<?php echo esc_attr(comment_date('c')); ?>">
                                <?php printf(__('%1$s', 'autocar'), get_comment_date(),  get_comment_time()); ?>
                            </time>
                        </div>
                    </div>
                </div>
            </div>
        </li>
	<?php } } ?>

<?php if( isset( $_GET['success'] ) ) { ?>
	<div class="thanks-comments alert alert-success">
		<p>Thanks for your comment!</p>
	</div>
<?php } ?>
<?php if (have_comments()) : ?>
	<div class="comments-box">
		<h2 class="title">
			<?php
			if(get_post()->comment_count > 0){
				echo esc_attr(get_post()->comment_count . ' Responses');
			} else {
				echo esc_attr__('Comments Section', 'autocar');
			}
			?>

		</h2>
		<?php if (post_password_required()) : ?>
			<div class="alert alert-warning alert-dismissible" role="alert">
				<a class="close" data-dismiss="alert">&times;</a>
				<p><?php esc_html_e('This post is password protected. Enter the password to view comments.', 'autocar'); ?></p>
			</div>
		<?php else:  ?>

			<div class="commentlist">
				<div class="comments">
					<?php wp_list_comments(array('callback' => 'autocar_comment')); ?>
				</div>
			</div>

			<?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : // are there comments to navigate through ?>
				<nav id="comments-nav" class="pager">
					<ul class="pager">
						<?php if (get_previous_comments_link()) : ?>
							<li class="previous"><?php previous_comments_link(__('&larr; Older comments', 'autocar')); ?></li>
						<?php else: ?>
							<li class="previous disabled"><a><?php esc_html_e('&larr; Older comments', 'autocar'); ?></a></li>
						<?php endif; ?>
						<?php if (get_next_comments_link()) : ?>
							<li class="next"><?php next_comments_link(__('Newer comments &rarr;', 'autocar')); ?></li>
						<?php else: ?>
							<li class="next disabled"><a><?php esc_html_e('Newer comments &rarr;', 'autocar'); ?></a></li>
						<?php endif; ?>
					</ul>
				</nav>
			<?php endif; // check for comment navigation ?>
		<?php endif; ?>
	</div><!-- /#comments -->
<?php endif; ?>

<div class="clearfix"></div>

<?php if (comments_open()) : ?>
	<div class="contact-form comment-box" id="respond">
		<?php /*if (isset($_GET['replytocom']) && $_GET['replytocom']): */?><!--
				<?php
/*				$replyTo = get_comment($_GET['replytocom']);
				*/?>
				<h2 class="title">Reply To: <?php /*echo wp_autocar_text_truncate($replyTo->comment_content, 15) */?></h2>
		<?php /*else: */?>
			<h2 class="title">Write Your Comment</h2>
		--><?php /*endif; */?>
		<?php
		comment_form( array(
			'title_reply_before' => '<h2 id="reply-title" class="title">',
			'title_reply_after'  => '</h2>',
		) );
		?>
	</div>
<?php endif; ?>