<?php
global $wp;
global $autocar;

$breadcrumbItem = isset($wp_query->post->post_title) ? $wp_query->post->post_title : null;
$currentUrl = home_url(add_query_arg(array(), $wp->request));

$hasTitle = get_field('inner_page_banner_title');
if ($hasTitle) {
    $title = $hasTitle;
} else if (!$hasTitle && sizeof($_GET) > 0) {
    $title = 'Search Results';
} else {
    $title = $breadcrumbItem;
}

if (sizeof($_GET) > 0) {
    $breadcrumbItem = 'Search Results';
    if (array_key_exists('title', $_GET)) {
        $breadcrumbItem .= ': ' . $_GET['title'];
    }
    $currentUrl = $currentUrl . '?' . http_build_query($_GET);
}
?>

<div class="sub-banner">
    <div class="overlay">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="breadcrumb-area">
                        <h2><?php echo esc_attr($title); ?></h2>
                        <ul class="breadcrumbs">
                            <li>
                                <a href="<?php echo esc_url(get_home_url()); ?>" class="home-btn"><?php echo esc_attr__('Home', 'autocar') ?></a>
                            </li>
                            <li class="active">
                                <a href="<?php echo esc_url($currentUrl); ?>" class="active-page"><?php echo esc_attr($breadcrumbItem); ?></a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="clearfix"></div>