<?php
global $autocar;
$image = array_values(rwmb_meta( 'vehicle_main_image_grid',['size' => 'vehicle-grid-image'], get_the_ID()));
$title = the_title('', '', false);

$alt = null;
if (!$alt && isset($image[0]) && $image[0]['alt'] != '') {
    $alt = $image[0]['alt'];
} elseif (!$alt && isset($image[0]) && $image[0]['title'] != '') {
    $alt = $image[0]['title'];
}elseif (!$alt && isset($image[0]) && $image[0]['caption'] != '') {
    $alt = $image[0]['caption'];
} else {
    $alt = $title;
}

if(sizeof($image) > 0){
    $vehicleImg = $image[0]['url'];
} else {
    $vehicleImg = $autocar['opt_default_vehicle_image']['url'];
}

$category = rwmb_meta( 'vehicle_category',[], get_the_ID());
$fuel = rwmb_meta( 'vehicle_fuel',[], get_the_ID());
$transmission = rwmb_meta( 'vehicle_transmission',[], get_the_ID());

$year = get_post_meta(get_the_ID(), 'vehicle_manufacture_year', true);
$mileage = get_post_meta(get_the_ID(), 'vehicle_mileage', true);
$gear = get_post_meta(get_the_ID(), 'vehicle_gear', true);
?>

<div <?php post_class();?>>
    <div class="row">
        <div class="col-lg-6 col-md-6 col-sm-12 col-pad">
            <img src='<?php echo esc_url($vehicleImg)?>' alt='<?php echo esc_attr($alt);?>' class="img-responsive">
        </div>
        <div class="col-lg-6 col-md-6 col-sm-12 col-pad">
            <div class="details">
                <h3><?php echo wp_html_excerpt($title, 25, '...')?></h3>
                <ul>
                    <li>
                        <strong><?php echo esc_attr__('Fuel', 'autocar')?>:</strong>
                        <?php echo esc_attr(isset($fuel->name) && $fuel->name ? $fuel->name : 'N/A');?>
                    </li>
                    <li>
                        <strong><?php echo esc_attr__('Transmission', 'autocar')?>:</strong>
                        <?php echo esc_attr(isset($transmission->name) && $transmission->name ? $transmission->name : 'N/A');?>
                    </li>
                    <li>
                        <strong><?php echo esc_attr__('Mileage', 'autocar')?>:</strong>
                        <?php echo esc_attr($mileage ? $mileage . ' ' . $autocar['opt_default_mileage_unit'] : 'N/A');?>
                    </li>
                    <li>
                        <strong><?php echo esc_attr__('Gear:', 'autocar')?>:</strong>
                        <?php echo esc_attr($gear ? $gear .' Gears' : 'Gear N/A')?>
                    </li>
                    <li>
                        <strong><?php echo esc_attr__('Year', 'autocar')?>:</strong>
                        <?php echo esc_attr($year ? $year : 'N/A')?>
                    </li>
                    <li>
                        <strong><?php echo esc_attr__('Category', 'autocar')?>:</strong>
                        <a href="<?php echo esc_url(get_term_link($category->term_id))?>">
                            <?php echo esc_attr(isset($category->name) && $category->name ? $category->name : 'N/A');?>
                        </a>
                    </li>
                </ul>
                <div class="price">
                    <?php echo esc_attr__('Price', 'autocar');?>
                    <?php
                    echo esc_attr($autocar['opt_default_currency']);
                    echo esc_attr(number_format(get_post_meta(get_the_ID(), 'vehicle_sale_price', true), 2));
                    ?>
                </div>
                <a href="<?php echo esc_url(get_permalink())?>" class="btn btn-submit"><?php echo esc_attr__('View Car details', 'autocar')?></a>
            </div>
        </div>
    </div>
</div>
