<?php
global $autocar;
$image = array_values(rwmb_meta( 'vehicle_main_image_list',['size' => 'vehicle-list-image'], get_the_ID()));
$title = the_title('', '', false);

$alt = null;
if (!$alt && isset($image[0]) && $image[0]['alt'] != '') {
    $alt = $image[0]['alt'];
} elseif (!$alt && isset($image[0]) && $image[0]['title'] != '') {
    $alt = $image[0]['title'];
}elseif (!$alt && isset($image[0]) && $image[0]['caption'] != '') {
    $alt = $image[0]['caption'];
} else {
    $alt = $title;
}

if(sizeof($image) > 0){
    $vehicleImg = $image[0]['url'];
} else {
    $vehicleImg = $autocar['opt_default_vehicle_image']['url'];
}
?>

<div <?php post_class();?>>
    <div class="features-item clearfix">
        <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12 col-pad">
            <img src='<?php echo esc_url($vehicleImg)?>' class="img-responsive" alt='<?php echo esc_attr($alt);?>'>
        </div>
        <div class="col-lg-8 col-md-8 col-sm-12 col-xs-12 detail">
            <h4>
                <a href="<?php echo esc_url(get_permalink())?>"><?php echo wp_html_excerpt($title, 25, '...')?></a>
            </h4>
            <p><?php echo wp_html_excerpt(get_post_meta(get_the_ID(), 'vehicle_short_description', true), 90, '...')?></p>
            <div class="bottom">
                <div class="price">
                    <strong><?php echo __('Price', 'autocar')?></strong>
                    <?php
                    echo esc_attr($autocar['opt_default_currency']);
                    echo esc_attr(number_format(get_post_meta(get_the_ID(), 'vehicle_sale_price', true), 2));
                    ?>
                </div>
                <div class="pull-right">
                    <div class="btn-div">
                        <a href="<?php echo esc_url(get_permalink())?>">
                            <span class="read-more"><?php echo __('Ream More', 'autocar')?></span>
                            <span class="icon-arrow-right2">
                                <i class="fa  fa-angle-right"></i>
                            </span>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>