<?php
global $autocar;
$image = array_values(rwmb_meta( 'vehicle_main_image_list',['size' => 'vehicle-list-image'], get_the_ID()));
$title = the_title('', '', false);

$alt = null;
if (!$alt && isset($image[0]) && $image[0]['alt'] != '') {
    $alt = $image[0]['alt'];
} elseif (!$alt && isset($image[0]) && $image[0]['title'] != '') {
    $alt = $image[0]['title'];
}elseif (!$alt && isset($image[0]) && $image[0]['caption'] != '') {
    $alt = $image[0]['caption'];
} else {
    $alt = $title;
}

if(sizeof($image) > 0){
    $vehicleImg = $image[0]['url'];
} else {
    $vehicleImg = $autocar['opt_default_vehicle_image']['url'];
}

$brand = rwmb_meta( 'vehicle_brands',[], get_the_ID());
$category = rwmb_meta( 'vehicle_category',[], get_the_ID());
$fuel = rwmb_meta( 'vehicle_fuel',[], get_the_ID());
$transmission = rwmb_meta( 'vehicle_transmission',[], get_the_ID());
$condition = rwmb_meta( 'vehicle_condition',[], get_the_ID());

$year = get_post_meta(get_the_ID(), 'vehicle_manufacture_year', true);
$miles = get_post_meta(get_the_ID(), 'vehicle_miles', true);
$mileage = get_post_meta(get_the_ID(), 'vehicle_mileage', true);
$oldPrice = get_post_meta(get_the_ID(), 'vehicle_previous_price', true);
$gear = get_post_meta(get_the_ID(), 'vehicle_gear', true);
$isFeatured = get_post_meta(get_the_ID(), 'vehicle_is_featured', true);
?>

<div <?php post_class();?>>
    <div class="car-list-box clearfix wow fadeInUp delay-03s" style="visibility: visible; animation-name: fadeInUp;">
        <div class=" row-table row-flush">
            <div class="col-lg-4  col-md-5 col-sm-4 col-xs-12 car-pic">
                <div class="car-box-thumbnail">
                    <img src='<?php echo esc_url($vehicleImg)?>' class="img-responsive" alt='<?php echo esc_attr($alt);?>'>
                    <?php if($isFeatured):?>
                    <div class="is-featured">
                        <span>Featured</span>
                    </div>
                    <?php endif;?>
                    <div class="listing-for">
                        <span class="for">
                            <?php echo esc_attr('For '. ucfirst(get_post_meta(get_the_ID(), 'vehicle_for', true)))?>
                        </span>
                    </div>

                    <div class="listing-price">
                        <?php if(isset($oldPrice) && $oldPrice):?>
                            <span class="del">
                                <del>
                                    <?php
                                    echo esc_attr($autocar['opt_default_currency']);
                                    echo esc_attr(number_format($oldPrice, 2));
                                    ?>
                                </del>
                            </span>
                            <br>
                        <?php endif;?>
                        <span>
                            <?php
                            echo esc_attr($autocar['opt_default_currency']);
                            echo esc_attr(number_format(get_post_meta(get_the_ID(), 'vehicle_sale_price', true), 2));
                            ?>
                        </span>
                    </div>

                    <?php if($autocar['opt_default_enable_overlay'] == 'yes' && isset($autocar['opt_default_compare_page']) && $autocar['opt_default_compare_page'] != ''):?>
                        <div class="carbox-overlap-wrapper single-car-lay carbox-overlap-show">
                            <div class="overlay-group">
                                <h2><?php echo wp_html_excerpt($title, 20, '...')?></h2>
                                <h4>
                                    <?php
                                    echo esc_attr($autocar['opt_default_currency']);
                                    echo esc_attr(number_format(get_post_meta(get_the_ID(), 'vehicle_sale_price', true), 2));
                                    ?>
                                </h4>

                                <div class="overlap-btns-area">
                                    <a class="overlap-btn add_compare" data-id="<?php echo get_the_ID()?>">
                                        <i class="fa fa-exchange"></i>
                                    </a>
                                    <a class="overlap-btn remove_compare overlay-color" data-id="<?php echo get_the_ID()?>">
                                        <i class="fa fa-exchange"></i>
                                    </a>
                                    <a class="overlap-btn property-video load_content" data-id="<?php echo get_the_ID()?>">
                                        <i class="fa fa-car"></i>
                                    </a>

                                    <?php
                                    $galleries = array_values(rwmb_meta('vehicle_galleries', ['size' => 'vehicle-grid-image'], get_the_ID()));
                                    if(sizeof($image) > 0 && sizeof($galleries) > 0){
                                        $galleries = array_merge($image, $galleries);
                                    } else {
                                        $galleries = $image;
                                    }
                                    ?>
                                    <div class="car-magnify-gallery">
                                        <a href="<?php echo $vehicleImg; ?>" class="overlap-btn">
                                            <i class="fa fa-expand"></i>
                                        </a>
                                        <?php $counter = 0; foreach ($galleries as $gallery):?>
                                            <?php if($counter > 0):?>
                                                <a href="<?php echo esc_url($gallery['full_url']) ?>" class="hidden"></a>
                                            <?php endif;?>
                                            <?php $counter++; endforeach; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php endif;?>
                </div>
            </div>
            <!-- Detail Body -->
            <div class="col-lg-8 col-md-7 col-sm-8 col-xs-12 detail">
                <!-- Header -->
                <header>
                    <!-- Title -->
                    <h3 class="title">
                        <a href="<?php echo esc_url(get_permalink())?>"><?php echo wp_html_excerpt($title, 25, '...')?></a>
                    </h3>
                    <!-- Custom List -->
                    <ul class="custom-list">
                        <?php if(isset($brand->name) && $brand->name):?>
                            <li>
                                <a href="<?php echo esc_url(get_term_link($brand->term_id))?>">
                                    <?php echo esc_attr($brand->name); ?>
                                </a> /
                            </li>
                        <?php endif;?>

                        <?php if(isset($category->name) && $category->name):?>
                            <li>
                                <a href="<?php echo esc_url(get_term_link($category->term_id))?>">
                                    <?php echo esc_attr($category->name); ?>
                                </a> /
                            </li>
                        <?php endif;?>

                        <?php if(isset($condition->name) && $condition->name):?>
                            <li>
                                <a href="<?php echo esc_url(get_term_link($condition->term_id))?>">
                                    <?php echo esc_attr($condition->name); ?>
                                </a>
                            </li>
                        <?php endif;?>
                    </ul>
                </header>
                <div class="clearfix"></div>
                <!-- paragraph -->
                <p>
                    <?php echo wp_html_excerpt(get_post_meta(get_the_ID(), 'vehicle_short_description', true), 90, '...')?>
                </p>
                <!-- Facilities List -->
                <ul class="facilities-list clearfix">
                    <li>
                        <i class="flaticon-gasoline-pump"></i>
                        <span><?php echo esc_attr(isset($fuel->name) && $fuel->name ? $fuel->name : 'N/A');?></span>
                    </li>
                    <li>
                        <i class="flaticon-automatic-flash-symbol"></i>
                        <span><?php echo esc_attr(isset($transmission->name) && $transmission->name ? $transmission->name : 'N/A');?></span>
                    </li>
                    <?php if($miles):?>
                        <li>
                            <i class="flaticon-road-with-broken-line"></i>
                            <span><?php echo esc_attr($miles ? $miles . ' ' .$autocar['opt_default_mile_unit'] : 'N/A');?></span>
                        </li>
                    <?php endif;?>
                    <li>
                        <i class="flaticon-racing-flag"></i>
                        <span><?php echo esc_attr(isset($category->name) && $category->name ? $category->name : 'N/A');?>></span>
                    </li>

                    <li>
                        <i class="flaticon-transport"></i>
                        <span><?php echo esc_attr($gear ? $gear .' Gears' : 'Gear N/A')?></span>
                    </li>

                    <li>
                        <i class="flaticon-time"></i>
                        <span><?php echo esc_attr($year ? $year : 'N/A')?></span>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>

