<?php
global $autocar;
global $wp;
$currentPage = home_url(add_query_arg(array(),$wp->request));

$view = strtolower(get_field('listing_view'));
if(!$view) {
    $view = strtolower($autocar['opt_default_listing_view']);
}

if(isset($_GET['view'])){
    $view = $_GET['view'];
}
?>

<div class="option-bar block-heading">
    <div class="row">
        <div class="col-lg-6 col-md-5 col-sm-5 col-xs-2">
            <h4>
                <span class="heading-icon">
                    <i class="fa fa-th-list"></i>
                </span>
                <span class="hidden-xs"><?php echo esc_attr($autocar['opt_default_listing_title'])?></span>
            </h4>
        </div>
        <div class="col-lg-6 col-md-7 col-sm-7 col-xs-10 cod-pad">
            <div class="sorting-options">
                <select class="sorting" onchange="this.options[this.selectedIndex].value && (window.location = this.options[this.selectedIndex].value);">
                    <option> Sort By</option>
                    <option value="<?php echo esc_url($currentPage) . '?'. http_build_query(array_merge($_GET, array('sort' => 'price', 'order' => 'desc')));?>">Price: High to low</option>
                    <option value="<?php echo esc_url($currentPage) . '?'. http_build_query(array_merge($_GET, array('sort' => 'price', 'order' => 'asc')));?>">Price: Low to high</option>
                    <option value="<?php echo esc_url($currentPage) . '?'. http_build_query(array_merge($_GET, array('sort' => 'date', 'order' => 'desc')));?>">Date: Newest</option>
                    <option value="<?php echo esc_url($currentPage) . '?'. http_build_query(array_merge($_GET, array('sort' => 'date', 'order' => 'asc')));?>">Date: Oldest</option>
                </select>
                <a href="<?php echo esc_url($currentPage) . '?'. http_build_query(array_merge($_GET, array('view' => 'list')));?>" class="change-view-btn <?php if($view != 'grid') {echo esc_attr__('active-view-btn', 'autocar');}?>"><i class="fa fa-th-list"></i></a>
                <a href="<?php echo esc_url($currentPage) . '?'. http_build_query(array_merge($_GET, array('view' => 'grid')));?>" class="change-view-btn <?php if($view == 'grid') {echo esc_attr__('active-view-btn', 'autocar');}?>"><i class="fa fa-th-large"></i></a>
            </div>
        </div>
    </div>
</div>