<?php
global $autocar;
$mainPage = $currentPage = home_url(add_query_arg(array(),$wp->request));
$queryParams = $_GET;

$urlExploded = explode('page', $currentPage);
if(is_array($urlExploded)) {
    $mainPage = $urlExploded[0];
}
?>

<!-- Criteria -->
<form role="search" method="get" class="search-form" action="">
    <div class="single-block criteria">
        <h2 class="title"><?php echo esc_attr($autocar['opt_default_listing_search_box_title'] ? $autocar['opt_default_listing_search_box_title'] : 'Find Your Car')?></h2>

        <?php if(count($queryParams) > 0):?>
            <a class="btn button-default button-sm btn-block" href="<?php echo esc_url($mainPage); ?>"><?php echo esc_attr($autocar['opt_default_listing_reset_btn_button']);?></a>
        <?php endif;?>

        <div class="form-group search-fields">
            <label><?php echo esc_attr($autocar['opt_default_listing_search_box_criteria']);?></label>
            <input class="form-control" name="title" placeholder="<?php echo esc_attr($autocar['opt_default_listing_search_box_vehicle_title'])?>" value="<?php echo isset($queryParams['title']) ? esc_attr($queryParams['title']) : ''?>">
        </div>

        <?php
        $fuels = get_terms( array('taxonomy' => 'vehicle_fuels', 'hide_empty' => false) );
        if(sizeof($fuels) > 0):
            ?>
            <div class="form-group search-fields">
                <label><?php echo __('Brand', 'autocar')?></label>
                <select class="selectpicker" name="fuel">
                    <option value=""><?php echo esc_attr($autocar['opt_default_listing_search_box_choose_fuel']);?></option>
                    <?php foreach ($fuels as $fuel):?>
                        <option value="<?php echo esc_attr($fuel->slug);?>" <?php if(isset($queryParams['fuel']) && $queryParams['fuel'] == $fuel->slug){echo esc_attr__('selected', 'autocar');}?>><?php echo esc_attr($fuel->name)?></option>
                    <?php endforeach;?>
                </select>
            </div>
        <?php endif; ?>

        <?php
        $transmissions = get_terms( array('taxonomy' => 'vehicle_transmissions', 'hide_empty' => false) );
        if(sizeof($transmissions) > 0):
            ?>
            <div class="form-group search-fields">
                <label><?php echo __('Transmission', 'autocar')?></label>
                <select class="selectpicker" name="transmission">
                    <option value=""><?php echo esc_attr($autocar['opt_default_listing_search_box_choose_transmission'])?></option>
                    <?php foreach ($transmissions as $transmission):?>
                        <option value="<?php echo esc_attr($transmission->slug);?>" <?php if(isset($queryParams['transmission']) && $queryParams['transmission'] == $transmission->slug){echo esc_attr__('selected', 'autocar');}?>><?php echo esc_attr($transmission->name)?></option>
                    <?php endforeach;?>
                </select>
            </div>
        <?php endif; ?>

        <?php
        $conditions = get_terms( array('taxonomy' => 'vehicle_conditions', 'hide_empty' => false) );
        if(sizeof($conditions) > 0):
            ?>
            <div class="form-group search-fields">
                <label><?php echo __('Condition', 'autocar')?></label>
                <select class="selectpicker" name="condition">
                    <option value=""><?php echo esc_attr($autocar['opt_default_listing_search_box_choose_condition']);?></option>
                    <?php foreach ($conditions as $condition):?>
                        <option value="<?php echo esc_attr($condition->slug);?>" <?php if(isset($queryParams['condition']) && $queryParams['condition'] == $condition->slug){echo esc_attr__('selected', 'autocar');}?>><?php echo esc_attr($condition->name)?></option>
                    <?php endforeach;?>
                </select>
            </div>
        <?php endif; ?>

        <div class="form-group search-fields">
            <label><?php echo __('Year', 'autocar')?></label>
            <select class="form-control" name="manufacture_year">
                <option value=""><?php echo esc_attr($autocar['opt_default_listing_search_box_manufacture_year']);?></option>
                <?php $year = 1980; while($year <= date('Y')):?>
                    <option value="<?php echo esc_attr($year);?>" <?php if(isset($queryParams['manufacture_year']) && $queryParams['manufacture_year'] == $year){echo esc_attr__('selected', 'autocar');}?>><?php echo esc_attr($year); ?></option>
                    <?php $year++; endwhile;?>
            </select>
        </div>
    </div>

    <div class="single-block price">
        <?php
        $themeMin = $autocar['opt_default_listing_search_price_min'] ? $autocar['opt_default_listing_search_price_min'] : 1000;
        $themeMax = $autocar['opt_default_listing_search_price_max'] ? $autocar['opt_default_listing_search_price_max'] : 20000;
        $themeStep = $autocar['opt_default_listing_search_price_step'] ? $autocar['opt_default_listing_search_price_step'] : 100;

        $minPrice = isset($queryParams['min_price']) ? intval($queryParams['min_price']) : $themeMin;
        $maxPrice = isset($queryParams['max_price']) ? intval($queryParams['max_price']) : $themeMax;
        ?>
        <h2 class="title"><?php echo esc_attr($autocar['opt_default_listing_search_box_price']);?></h2>
        <div class="slider-price-amont">
            <span class="pull-left">
                <?php echo esc_attr($autocar['opt_default_currency'] . $themeMin);?>
            </span>
            <span class="pull-right">
                <?php echo esc_attr($autocar['opt_default_currency'] . $maxPrice);?>
            </span>
        </div>
        <input type="text" class="price-slider" style="width:100%" data-slider-min="<?php echo esc_attr($themeMin);?>" data-slider-max="<?php echo esc_attr($themeMax);?>" data-slider-step="<?php echo esc_attr($themeStep);?>" data-slider-value="[<?php echo esc_attr($minPrice);?>,<?php echo esc_attr($maxPrice);?>]" />
        <br/><br/>
        <div class="row">
            <div class="col-lg-6">
                <div class="form-group search-fields">
                    <label><?php echo esc_attr__('Min price', 'autocar');?></label>
                    <input class="form-control" name="min_price" placeholder="Min price" id="minPrice" value="<?php echo esc_attr($minPrice);?>">
                </div>
            </div>
            <div class="col-lg-6">
                <div class="form-group search-fields">
                    <label><?php  echo esc_attr__('Max price', 'autocar');?></label>
                    <input class="form-control" name="max_price" placeholder="Min price" id="maxPrice" value="<?php echo esc_attr($maxPrice);?>">
                </div>
            </div>
        </div>
    </div>

    <?php if($autocar['opt_default_listing_search_show_brand'] == 'yes'):?>
    <div class="single-block brands">
        <?php
        $selectedBrands = isset($queryParams['brands']) ? $queryParams['brands'] : [];
        $uniqueId = uniqid();
        $brands = get_terms( array('taxonomy' => 'vehicle_brands', 'hide_empty' => false) );
        if(is_array($brands) && sizeof($brands) > 0): ?>
            <h2 class="title"><?php echo esc_attr($autocar['opt_default_listing_search_box_brand']);?></h2>
            <?php $shown = 0; foreach ($brands as $brand):?>
                <div class="checkbox checkbox-theme checkbox-circle <?php if($shown > 9) {echo 'brand-checkbox hide';}?>">
                    <input type="checkbox" id="<?php echo esc_attr($uniqueId.'-'.$brand->term_id);?>" name="brands[]" value="<?php echo esc_attr($brand->term_id);?>"
                        <?php
                        foreach ($selectedBrands as $selectedBrand){
                            if($selectedBrand == $brand->term_id) {echo esc_attr__('checked', 'autocar');}
                        }
                        ?>>
                    <label for="<?php echo esc_attr($uniqueId.'-'.$brand->term_id);?>">
                        <?php echo esc_attr($brand->name); $shown++?>
                    </label>
                </div>
            <?php endforeach;?>
            <?php if($shown > 10) {echo '<a class="show_brand">More Brands</a> <a class="hide_brand hide">Less Brand</a>';}?>
        <?php endif; ?>
    </div>
    <?php endif;?>
    <button class="btn button-theme button-md btn-block">
        <?php echo esc_attr($autocar['opt_default_listing_search_btn_text'] ? $autocar['opt_default_listing_search_btn_text'] : 'Search');?>
    </button>
</form>