<?php
/*
Template Name: FAQs (Faq page layout)
*/
?>

<?php
global $autocar;
// Displaying header
get_header();

// Displaying single page banner
get_template_part('elements/banner-single');
?>

<?php
$query = array(
    'post_type' => 'faqs',
    'post_status' => 'publish'
);
$faqs = new WP_Query($query);
?>

<div class="faq-body content-area">
    <?php if($faqs->post_count > 0):?>
        <div class="container">
            <!-- Main title -->
            <div class="main-title">
                <h1><?php echo esc_attr(get_field('faqs_title_text'));?></h1>
                <div class="border">
                    <div class="border-inner"></div>
                </div>
                <p><?php echo esc_attr(get_field('faqs_subtitle_text'));?></p>
            </div>
            <div class="container">
                <?php
                while($faqs->have_posts()) : $faqs->the_post();
                $uniqueId = get_the_ID() . '-' . uniqid();
                ?>
                    <div <?php post_class();?>>
                        <!-- Panel box start -->
                        <div class="panel-group" role="tablist">
                            <div class="panel panel-default">
                                <div class="panel-heading active" role="tab" id="heading_<?php echo esc_attr($uniqueId);?>">
                                    <h4 class="panel-title">
                                        <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse_<?php echo esc_attr($uniqueId);?>" aria-expanded="false">
                                            <i class="fa fa-plus"></i>
                                            <?php the_title();?>
                                        </a>
                                    </h4>
                                </div>
                                <div id="collapse_<?php echo esc_attr($uniqueId);?>" class="panel-collapse collapse" role="tabpanel" aria-expanded="false" style="height: 0px;">
                                    <div class="panel-body panel-body-2">
                                        <p><?php the_content();?></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Panel box end -->
                    </div>
                <?php endwhile; wp_reset_postdata(); ?>
            </div>
        </div>
    <?php else:?>
        <?php get_template_part('elements/record-not-found') ?>
    <?php endif;?>
</div>

<?php get_footer();?>