<!-- Footer start-->
<?php global $autocar;?>

<?php if(is_active_sidebar( 'footer_widget_1' )
|| is_active_sidebar( 'footer_widget_2' )
|| is_active_sidebar( 'footer_widget_3' )
|| is_active_sidebar( 'footer_widget_4' )
|| is_active_sidebar( 'footer_widget_5' )):?>
    <footer class="main-footer clearfix">
    <div class="container">
        <!-- Sub footer-->
        <div class="sub-footer">
            <div class="row">
                <div class="col-lg-3 col-md-4 col-sm-6 col-xs-12">
                    <div class="logo-2">
                        <?php
                        $logoUrl = get_template_directory_uri() . '/assets/img/footer-logo.png';
                        if(isset($autocar['opt_header_footer_logo']['url']) && $autocar['opt_header_footer_logo']['url']) {
                            $logoUrl = $autocar['opt_header_footer_logo']['url'];
                        }
                        ?>
                        <a href="<?php echo get_home_url();?>">
                            <img src="<?php echo esc_url($logoUrl);?>" alt="<?php echo bloginfo('name');?>">
                        </a>
                    </div>
                </div>
                <div class="col-lg-9 col-md-8 col-sm-12 col-xs-12">
                    <div class="social-list clearfix">

                        <h2 class="social-text"><?php echo esc_attr(isset($autocar['opt_footer_social_text']) ? $autocar['opt_footer_social_text'] : 'Social Media')?></h2>

                        <?php if(isset($autocar['opt_footer_facebook_url']) && $autocar['opt_footer_facebook_url']):?>
                        <a href="<?php echo esc_url($autocar['opt_footer_facebook_url'])?>" class="facebook-bg">
                            <i class="fa fa-facebook"></i>
                        </a>
                        <?php endif;?>

                        <?php if(isset($autocar['opt_footer_twitter_url']) && $autocar['opt_footer_twitter_url']):?>
                        <a href="<?php echo esc_url($autocar['opt_footer_twitter_url'])?>" class="twitter-bg">
                            <i class="fa fa-twitter"></i>
                        </a>
                        <?php endif;?>

                        <?php if(isset($autocar['opt_footer_google_url']) && $autocar['opt_footer_google_url']):?>
                        <a href="<?php echo esc_url($autocar['opt_footer_google_url'])?>" class="google-bg">
                            <i class="fa fa-google-plus"></i>
                        </a>
                        <?php endif;?>

                        <?php if(isset($autocar['opt_footer_linkedin_url']) && $autocar['opt_footer_linkedin_url']):?>
                        <a href="<?php echo esc_url($autocar['opt_footer_linkedin_url'])?>" class="linkedin-bg">
                            <i class="fa fa-linkedin"></i>
                        </a>
                        <?php endif;?>

                        <?php if(isset($autocar['opt_footer_pinterest_url']) && $autocar['opt_footer_pinterest_url']):?>
                        <a href="<?php echo esc_url($autocar['opt_footer_pinterest_url'])?>" class="pinterest-bg">
                            <i class="fa fa-pinterest"></i>
                        </a>
                        <?php endif;?>

                        <?php if(isset($autocar['opt_footer_vimeo_url']) && $autocar['opt_footer_vimeo_url']):?>
                        <a href="<?php echo esc_url($autocar['opt_footer_vimeo_url'])?>" class="vimeo-bg">
                            <i class="fa fa-vimeo"></i>
                        </a>
                        <?php endif;?>
                    </div>
                </div>
            </div>
        </div>
        <!-- Footer info-->
        <div class="footer-info">
            <div class="row">
                <?php if ( is_active_sidebar( 'footer_widget_1' ) ) : ?>
                    <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12 footer-item footer-widget-area">
                        <?php dynamic_sidebar( 'footer_widget_1' ); ?>
                    </div>
                <?php endif; ?>

                <?php if ( is_active_sidebar( 'footer_widget_2' ) ) : ?>
                    <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12 footer-item footer-widget-area">
                        <?php dynamic_sidebar( 'footer_widget_2' ); ?>
                    </div>
                <?php endif; ?>

                <?php if ( is_active_sidebar( 'footer_widget_3' ) ) : ?>
                    <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12 footer-item footer-widget-area">
                        <?php dynamic_sidebar( 'footer_widget_3' ); ?>
                    </div>
                <?php endif; ?>

                <?php if ( is_active_sidebar( 'footer_widget_4' ) ) : ?>
                    <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12 footer-item footer-widget-area">
                        <?php dynamic_sidebar( 'footer_widget_4' ); ?>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</footer>
<?php endif;?>

<div class="copy-right">
    <div class="container">
        <div class="row">
            <div class="col-md-4 col-sm-6">
                <p><?php echo esc_attr($autocar['opt_footer_copyright_text']);?></p>
            </div>
            <div class="col-md-8 col-sm-6 hidden-xs ">
                <div class="footer-menu">
                    <?php
                    wp_nav_menu(array(
                        'menu' => 'id',
                        'theme_location' => 'footer-menu',
                        'fallback_cb' => 'wp_autocar_autocar_menu_editor'
                    ))
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal car-modal fade" id="carVideo" tabindex="-1" role="dialog" aria-labelledby="carModalLabel" aria-hidden="true">
    <div id="modalLoader"><span>Loading...</span></div>
    <div id="modalContent"></div>
</div>

<?php wp_footer();?>
</body>
</html>