<?php if (!defined('FW')) die('Forbidden');
/**
 * @var array $data
 */

$uniqueId = 'demo-slider-'. fw_unique_increment();
$counter = 0;
?>

<?php if(count($data['slides']) > 0):?>
<div class="banner">
    <div id="<?php echo esc_attr($uniqueId);?>" class="carousel slide" data-ride="carousel">
        <!-- Wrapper for slides -->
        <div class="carousel-inner" role="listbox">
            <?php foreach ($data['slides'] as $slider):?>
            <div class="item banner-max-height <?php echo $counter == 0 ? esc_attr('active') : ''?>">
                <?php
                $image = 'http://placehold.it/1920x700';
                if($slider['src']) {
                    $image = $slider['src'];
                }
                ?>
                <img src="<?php echo esc_url($image);?>" alt="banner-slider-1">
                <div class="carousel-caption banner-slider-inner">
                    <div class="banner-content">
                        <?php if($slider['extra']['title']):?>
                        <h1 data-animation="animated fadeInDown delay-05s" class="">
                            <?php echo esc_attr($slider['extra']['title']) ?>
                        </h1>
                        <?php endif;?>

                        <?php if($slider['extra']['subtitle']):?>
                        <p data-animation="animated fadeInUp delay-1s" class="">
                            <?php echo esc_attr($slider['extra']['subtitle']) ?>
                        </p>
                        <?php endif;?>

                        <?php if($slider['extra']['button_1_text']):?>
                        <a href="<?php echo esc_url($slider['extra']['button_1_url']) ?>" class="btn button-md button-theme" data-animation="animated fadeInUp delay-15s">
                            <?php echo esc_attr($slider['extra']['button_1_text']) ?>
                        </a>
                        <?php endif;?>

                        <?php if($slider['extra']['button_2_text']):?>
                        <a href="<?php echo esc_url($slider['extra']['button_2_url']) ?>" class="btn button-md border-button-theme" data-animation="animated fadeInUp delay-15s">
                            <?php echo esc_attr($slider['extra']['button_2_text']) ?>
                        </a>
                        <?php endif;?>
                    </div>
                </div>
            </div>
            <?php $counter++; endforeach;?>
        </div>

        <!-- Controls -->
        <a class="left carousel-control" href="#<?php echo esc_attr($uniqueId);?>" role="button" data-slide="prev">
            <span class="slider-mover-left" aria-hidden="true">
                <i class="fa fa-angle-left"></i>
            </span>
            <span class="sr-only">Previous</span>
        </a>
        <a class="right carousel-control" href="#<?php echo esc_attr($uniqueId);?>" role="button" data-slide="next">
            <span class="slider-mover-right" aria-hidden="true">
                <i class="fa fa-angle-right"></i>
            </span>
            <span class="sr-only">Next</span>
        </a>
    </div>
</div>
<?php endif;?>