<?php
/**
 * Specify available population methods.
 *
 * There are 4 built-in population methods:
 *  'posts'      Populate with posts
 *  'categories' Populate with categories
 *  'tags'       Populate with tags
 *  'custom'     Populate with custom content provided by the user
 */
$cfg['population_methods'] = array('custom');

/**
 * Specify what media types the slider supports.
 *
 * There are 2 media types available:
 *  'image' Supports images
 *  'video' Supports videos
 */
$cfg['multimedia_types'] = array('image');






if(!function_exists('wp_autocar_style_2_remove_default_fields')) {
    function wp_autocar_style_2_remove_default_fields($arr) {
        /**
         * Filter for disable standard slider fields for slick full slider
         * @param array $arr
         */
        unset(
            $arr['wrapper-population-method-custom']['options']['custom-slides']['slides_options']['title'],
            $arr['wrapper-population-method-custom']['options']['custom-slides']['slides_options']['desc']
        );

        return $arr;
    }

    // Canonical name 'fw_ext_{$slider_name}_population_method_{$population_method_name}_options'
    // ex: $slider_name = 'slick-full'; $population_method_name = 'custom'; name of the filter would be
    // 'fw_ext_slick_full_population_method_custom_options'
    add_filter( 'fw_ext_style_2_population_method_custom_options', 'wp_autocar_style_2_remove_default_fields');
}