<?php

if ( !defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	
	'button_settings' => array(
		'label' => __( 'Button', 'autocar' ),
		'type' => 'addable-popup',
		'desc' => __( 'Add button', 'autocar' ),
		'template' => 'Button : {{- label }}',
		'popup-options' => array(
			'style' => array(
				'label' => __( 'Style', 'autocar' ),
				'desc' => __( 'Choose button style', 'autocar' ),
				'type' => 'image-picker',
				'value' => '',
				'choices' => array(
					'button-default' => array(
						'small' => array(
							'height' => 40,
							'src' => AUTOCAR_IMAGES . '/picker-images/button-style-1.png'
						)
					),
					'button-theme' => array(
						'small' => array(
							'height' => 40,
							'src' => AUTOCAR_IMAGES . '/picker-images/button-style-2.png'
						)
					),
                    'border-button-theme' => array(
                        'small' => array(
                            'height' => 40,
                            'src' => AUTOCAR_IMAGES . '/picker-images/button-style-3.png'
                        )
                    ),
				),
			),
			'inline' => array(
				'type' => 'switch',
				'label' => __( 'Inline', 'autocar' ),
				'desc' => __( 'Show button as inline?', 'autocar' ),
				'right-choice' => array(
					'value' => 'btn-inline',
					'label' => __( 'Yes', 'autocar' ),
				),
				'left-choice' => array(
					'value' => '',
					'label' => __( 'No', 'autocar' ),
				),
			),
			'label' => array(
				'label' => __( 'Button Label', 'autocar' ),
				'desc' => __( 'This is the text that appears on your button', 'autocar' ),
				'type' => 'text',
				'value' => 'Read More'
			),
			'link' => array(
				'label' => __( 'Button Link', 'autocar' ),
				'desc' => __( 'Where should your button link to', 'autocar' ),
				'type' => 'text',
				'value' => '#'
			),
			'target' => array(
				'type' => 'switch',
				'label' => __( 'Open Link in New Window', 'autocar' ),
				'desc' => __( 'Select here if you want to open the linked page in a new window', 'autocar' ),
				'right-choice' => array(
					'value' => '_blank',
					'label' => __( 'Yes', 'autocar' ),
				),
				'left-choice' => array(
					'value' => '_self',
					'label' => __( 'No', 'autocar' ),
				),
			),
			'size' => array(
				'label' => __( 'Button Size', 'autocar' ),
				'desc' => __( 'Choose a Size for your button', 'autocar' ),
				'type' => 'select',
				'choices' => array(
					'lg' => __( 'Large', 'autocar' ),
					'md' => __( 'Medium', 'autocar' ),
					'sm' => __( 'Small', 'autocar' ),
				),
                'value' => 'sm'
			),
			'btn_alignment' => array(
				'label' => __( 'Alignment', 'autocar' ),
				'desc' => __( 'Choose button alignment', 'autocar' ),
				'type' => 'image-picker',
				'value' => '',
				'choices' => array(
					'' => array(
						'small' => array(
							'height' => 50,
							'src' => AUTOCAR_IMAGES . '/picker-images/no-align.jpg',
							'title' => __( 'None', 'autocar' )
						),
					),
					'text-left' => array(
						'small' => array(
							'height' => 50,
							'src' => AUTOCAR_IMAGES . '/picker-images/left-position.jpg',
							'title' => __( 'Left', 'autocar' )
						),
					),
					'text-center' => array(
						'small' => array(
							'height' => 50,
							'src' => AUTOCAR_IMAGES . '/picker-images/center-position.jpg',
							'title' => __( 'Center', 'autocar' )
						),
					),
					'text-right' => array(
						'small' => array(
							'height' => 50,
							'src' => AUTOCAR_IMAGES . '/picker-images/right-position.jpg',
							'title' => __( 'Right', 'autocar' )
						),
					),
				),
			),
			'btn_icon_group' => array(
				'type' => 'group',
				'options' => array(
					'icon' => array(
						'type' => 'icon',
						'label' => __( 'Icon', 'autocar' )
					),
					'icon_position' => array(
						'type' => 'switch',
						'label' => __( '', 'autocar' ),
						'desc' => __( 'Choose the icon position', 'autocar' ),
						'right-choice' => array(
							'value' => 'pull-right',
							'label' => __( 'Right', 'autocar' ),
						),
						'left-choice' => array(
							'value' => '',
							'label' => __( 'Left', 'autocar' ),
						),
					),
				)
			),
		)
	),
);
