<?php

if ( !defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'is_fullwidth'		 => array(
		'label'	 => __( 'Full Width', 'autocar' ),
		'type'	 => 'switch',
	),
	'default_spacing'	 => array(
		'type'	 => 'radio',
		'label'	 => __( 'Section Spacing', 'autocar' ),
		'attr'	 => array( 'class' => 'xs-groupx' ),
		'desc'		 => __( 'Top and bottom spacing of this section', 'autocar' ),
		'value'		 => 'section-spacing',
		'choices'	 => array(
			'section-spacing'	 => __( 'Default Spacing', 'autocar' ),
			'min-spacing'		 => __( 'Min Spacing', 'autocar' ),
			'no-spacing'		 => __( 'No Spacing', 'autocar' ),
		),
	),
	'height'			 => array(
		'label'		 => __( 'Height', 'autocar' ),
		'desc'		 => __( "Select the section's height in px (Ex: 400) (dont include with <b>px</b>)", 'autocar' ),
		'type'		 => 'radio-text',
		'value'		 => 'auto',
		'choices'	 => array(
			'auto'					 => __( 'auto', 'autocar' ),
			'section-height-small'	 => __( 'small', 'autocar' ),
			'section-height-midium'	 => __( 'medium', 'autocar' ),
			'section-height-large'	 => __( 'large', 'autocar' ),
		),
		'custom'	 => 'custom_width',
		'help'		 => __( 'This option to set extra height in your section. we have used three classs for extra height which fw-section-height-sm = 350px, fw-section-height-md= 450px , fw-section-height-lg = 650px. you can use your custom height to like just add 400 (dont include with px)', 'autocar' ),
	),
	'background_options' => array(
		'type'			 => 'multi-picker',
		'label'			 => false,
		'desc'			 => false,
		'picker'		 => array(
			'background' => array(
				'label'		 => __( 'Background', 'autocar' ),
				'desc'		 => __( 'Select the background for your section', 'autocar' ),
				'attr'		 => array( 'class' => 'fw-checkbox-float-left' ),
				'type'		 => 'radio',
				'choices'	 => array(
					'none'	 => __( 'None', 'autocar' ),
					'color'	 => __( 'Color', 'autocar' ),
					'image'	 => __( 'Image', 'autocar' ),
				),
				'value'		 => 'none'
			),
		),
		'choices'		 => array(
			'none'	 => array(),
			'color'	 => array(
				'background_color' => array(
					'label'	 => __( '', 'autocar' ),
					'desc'	 => __( 'Select the background color', 'autocar' ),
					'value'	 => '',
					'type'	 => 'color-picker'
				),
			),
			'image'	 => array(
				'background_image'	 => array(
					'label'		 => __( '', 'autocar' ),
					'type'		 => 'background-image',
					'choices'	 => array( //	in future may will set predefined images
					)
				),
				'overlay_options'	 => array(
					'type'		 => 'multi-picker',
					'label'		 => false,
					'desc'		 => false,
					'picker'	 => array(
						'overlay' => array(
							'type'			 => 'switch',
							'label'			 => __( 'Overlay Color', 'autocar' ),
							'desc'			 => __( 'Enable image overlay color?', 'autocar' ),
							'value'			 => 'no',
							'right-choice'	 => array(
								'value'	 => 'yes',
								'label'	 => __( 'Yes', 'autocar' ),
							),
							'left-choice'	 => array(
								'value'	 => 'no',
								'label'	 => __( 'No', 'autocar' ),
							),
						),
					),
					'choices'	 => array(
						'no'	 => array(),
						'yes'	 => array(
							'background' => array(
								'label'	 => __( '', 'autocar' ),
								'desc'	 => __( 'Select the overlay color', 'autocar' ),
								'value'	 => 'rgba(0,0,0,0.55)',
								'type'	 => 'rgba-color-picker'
							),
						),
					),
				),
			)
		),
		'show_borders'	 => false,
	),
	'class'				 => array(
		'label'	 => __( 'Custom Class', 'autocar' ),
		'desc'	 => __( 'Enter custom CSS class', 'autocar' ),
		'type'	 => 'text',
		'value'	 => '',
	),
);
