<?php

if ( !defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$options = array(
	'genarel-options'		 => array(
		'title'		 => __( 'Custom css', 'autocar' ),
		'type'		 => 'tab',
		'options'	 => array(
			'xs_id'	 => array(
				'type'	 => 'unique',
				'length' => 8
			),
			'height' => array(
				'label'		 => __( 'Height', 'autocar' ),
				'desc'		 => __( 'Select the space height in px (Small = 30px, Medium = 65px, Large = 85px) also you can use custom height according to your need.', 'autocar' ),
				'type'		 => 'radio-text',
				'choices'	 => array(
					'space-sm'	 => __( 'Small', 'autocar' ),
					'space-md'	 => __( 'Medium', 'autocar' ),
					'space-lg'	 => __( 'Large', 'autocar' ),
				),
				'value'		 => 'space-md',
				'custom'	 => 'custom_height',
			),
		)
	),
	'xs_responsive_options'	 => array(
		'title'		 => __( 'Responsive', 'autocar' ),
		'type'		 => 'tab',
		'options'	 => array(
			'display_desktop' => array(
				'type'			 => 'switch',
				'value'			 => 'yes',
				'label'			 => __( 'Desktop', 'autocar' ),
				'desc'			 => __( 'Display this on desktop?', 'autocar' ),
				'help'			 => __( 'Applies to devices with the resolution higher then 1200px (desktops and laptops)', 'autocar' ),
				'left-choice'	 => array(
					'value'	 => 'no',
					'label'	 => __( 'No', 'autocar' ),
				),
				'right-choice'	 => array(
					'value'	 => 'yes',
					'label'	 => __( 'Yes', 'autocar' ),
				)
			),
			'display_medium' => array(
				'type'			 => 'switch',
				'value'			 => 'yes',
				'label'			 => __( 'Medium Device & Tablet Landscape', 'autocar' ),
				'desc'			 => __( 'Display this  on tablet landscape?', 'autocar' ),
				'help'			 => __( 'Applies to devices with the resolution between 992px - 1199px (Medium device and tablet landscape)', 'autocar' ),
				'left-choice'	 => array(
					'value'	 => 'no',
					'label'	 => __( 'No', 'autocar' ),
				),
				'right-choice'	 => array(
					'value'	 => 'yes',
					'label'	 => __( 'Yes', 'autocar' ),
				)
			),
			'medium_height'	 => array(
				'label'		 => __( 'Medium Height', 'autocar' ),
				'help'		 => __( 'Select the space height in px (Small = 30px, Medium = 60px, Large = 100px) also you can use custom height according to your need.', 'autocar' ),
				'type'		 => 'radio-text',
				'choices'	 => array(
					'default' => __( 'Default', 'autocar' ),
				),
				'value'		 => 'default',
				'custom'	 => 'custom_height',
			),
			'display_tablet' => array(
				'type'			 => 'switch',
				'value'			 => 'yes',
				'label'			 => __( 'Tablet Portrait', 'autocar' ),
				'desc'			 => __( 'Display this on tablet portrait?', 'autocar' ),
				'help'			 => __( 'Applies to devices with the resolution between 768px - 991px (tablet portrait)', 'autocar' ),
				'left-choice'	 => array(
					'value'	 => 'no',
					'label'	 => __( 'No', 'autocar' ),
				),
				'right-choice'	 => array(
					'value'	 => 'yes',
					'label'	 => __( 'Yes', 'autocar' ),
				)
			),
			'tablet_height'	 => array(
				'label'		 => __( 'Tablet Height', 'autocar' ),
				'help'		 => __( 'Select the space height in px (Small = 30px, Medium = 60px, Large = 100px) also you can use custom height according to your need.', 'autocar' ),
				'type'		 => 'radio-text',
				'choices'	 => array(
					'default' => __( 'Default', 'autocar' ),
				),
				'value'		 => 'default',
				'custom'	 => 'custom_height',
			),
			'display_phone'	 => array(
				'type'			 => 'switch',
				'value'			 => 'yes',
				'label'			 => __( 'Smartphone', 'autocar' ),
				'desc'			 => __( 'Display this on smartphone?', 'autocar' ),
				'help'			 => __( 'Applies to devices with the resolution up to 767px (smartphones both portrait and landscape as well as some low-resolution tablets)', 'autocar' ),
				'left-choice'	 => array(
					'value'	 => 'no',
					'label'	 => __( 'No', 'autocar' ),
				),
				'right-choice'	 => array(
					'value'	 => 'yes',
					'label'	 => __( 'Yes', 'autocar' ),
				)
			),
			'phone_height'	 => array(
				'label'		 => __( 'Phone Height', 'autocar' ),
				'help'		 => __( 'Select the space height in px (Small = 30px, Medium = 60px, Large = 100px) also you can use custom height according to your need.', 'autocar' ),
				'type'		 => 'radio-text',
				'choices'	 => array(
					'default' => __( 'Default', 'autocar' ),
				),
				'value'		 => 'default',
				'custom'	 => 'custom_height',
			),
		)
	),
);
