<?php

if ( !defined( 'FW' ) ) {
	die( 'Forbidden' );
}
$brands = get_terms( array(
    'taxonomy' => 'vehicle_brands',
    'hide_empty' => false,
) );

$brandsOptions = [];
foreach ($brands as $brand)
{
    $brandsOptions[$brand->term_id] = $brand->name;
}

$options = array(
    'title' => array(
        'label' => __( 'Title', 'autocar' ),
        'desc' => __( 'Write title text', 'autocar' ),
        'type' => 'text',
        'value' => 'Quick Overview'
    ),
    'subtitle' => array(
        'label' => __( 'Subtitle', 'autocar' ),
        'desc' => __( 'Write subtitle text', 'autocar' ),
        'type' => 'text',
        'value' => 'Explore our quick overview'
    ),
    'animation' => array(
        'label' => __( 'Enable Animation', 'autocar' ),
        'type' => 'select',
        'choices' => array(
            'yes' => __( 'Yes', 'autocar' ),
            'no' => __( 'No', 'autocar' ),
        ),
        'value' => 'yes'
    ),
    'class' => array(
        'label' => __( 'Custom Class', 'autocar' ),
        'type' => 'text',
        'value' => 'custom-class'
    ),
    'brand_1' => array(
        'label' => __( 'Choose Brand 1', 'autocar' ),
        'desc' => __( 'Select brands which you want to display', 'autocar' ),
        'type' => 'select',
        'choices' => $brandsOptions
    ),
    'brand_1_image'	 => array(
        'label'		 => __( 'Brand 1 Image', 'autocar' ),
        'desc'		 => __( 'Recommended image size (600 X 250)', 'autocar' ),
        'type'		 => 'upload',
        'choices'	 => array( //	in future may will set predefined images
        )
    ),
    'brand_2' => array(
        'label' => __( 'Choose Brand 2', 'autocar' ),
        'desc' => __( 'Select brands which you want to display', 'autocar' ),
        'type' => 'select',
        'choices' => $brandsOptions
    ),
    'brand_2_image'	 => array(
        'label'		 => __( 'Brand 2 Image', 'autocar' ),
        'desc'		 => __( 'Recommended image size (400 X 500)', 'autocar' ),
        'type'		 => 'upload',
        'choices'	 => array( //	in future may will set predefined images
        )
    ),
    'brand_3' => array(
        'label' => __( 'Choose Brand 3', 'autocar' ),
        'desc' => __( 'Select brands which you want to display', 'autocar' ),
        'type' => 'select',
        'choices' => $brandsOptions
    ),
    'brand_3_image'	 => array(
        'label'		 => __( 'Brand 3 Image', 'autocar' ),
        'desc'		 => __( 'Recommended image size (300 X 250)', 'autocar' ),
        'type'		 => 'upload',
        'choices'	 => array( //	in future may will set predefined images
        )
    ),
    'brand_4' => array(
        'label' => __( 'Choose Brand 4', 'autocar' ),
        'desc' => __( 'Select brands which you want to display', 'autocar' ),
        'type' => 'select',
        'choices' => $brandsOptions
    ),
    'brand_4_image'	 => array(
        'label'		 => __( 'Brand 4 Image', 'autocar' ),
        'desc'		 => __( 'Recommended image size (300 X 250)', 'autocar' ),
        'type'		 => 'upload',
        'choices'	 => array( //	in future may will set predefined images
        )
    ),
);