<!DOCTYPE html>
<html <?php language_attributes()?>>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="<?php bloginfo('charset')?>">
    <?php wp_head();?>
</head>
<body <?php body_class()?>>
<div class="page_loader"></div>
<div id="wrapper">
    <?php global $autocar;?>

    <!-- Top header start -->
    <header class="top-header hidden-xs">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-7 col-xs-12">
                    <div class="list-inline">
                        <?php if(isset($autocar['opt_header_phone'])):?>
                        <a href="tel:<?php echo esc_attr($autocar['opt_header_phone']);?>">
                            <i class="fa fa-phone"></i>
                            <?php echo __('Need Support?', 'autocar')?>
                            <?php echo esc_attr($autocar['opt_header_phone']);?>
                        </a>
                        <?php endif; ?>

                        <?php if(isset($autocar['opt_header_email'])):?>
                        <a href="mailto:<?php echo esc_attr($autocar['opt_header_email']);?>">
                            <i class="fa fa-envelope"></i>
                            <?php echo esc_attr($autocar['opt_header_email']);?>
                        </a>
                        <?php endif;?>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-5 col-xs-12">
                    <?php
                    if ( is_active_sidebar( 'vehicle_top_header_widget' ) ){
                        dynamic_sidebar( 'vehicle_top_header_widget' );
                    }
                    ?>
                </div>
            </div>
        </div>
    </header>
    <!-- Top header end -->


    <header class="main-header">
        <div class="container">
            <nav class="navbar navbar-default">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#app-navigation" aria-expanded="false">
                        <span class="sr-only"><?php echo esc_attr($autocar['opt_site_title']);?></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="logo" href="<?php echo get_home_url();?>">
                        <?php
                        if($autocar['opt_header_logo']['url']) {
                            $logoUrl = $autocar['opt_header_logo']['url'];
                        } else {
                            $logoUrl = get_template_directory_uri() . '/assets/img/logo.png';
                        }
                        ?>

                        <img src="<?php echo esc_url($logoUrl);?>" alt="<?php echo bloginfo('name');?>">
                    </a>
                </div>
                <!-- Collect the nav links, forms, and other content for toggling -->
                <div class="navbar-collapse collapse" role="navigation" aria-expanded="true" id="app-navigation">
                    <?php
                    $defaults = array(
                        'theme_location'  => 'header-menu',
                        'container' => 'ul',
                        'menu_class' => 'nav navbar-nav',
                        'walker' => new wp_autocar_Menu_Maker_Walker(),
                        'fallback_cb' => 'wp_autocar_autocar_menu_editor'
                    );
                    wp_nav_menu( $defaults);
                    ?>

                    <?php if($autocar['opt_header_enable_search'] == 'yes'):?>
                    <ul class="nav navbar-nav navbar-right hidden-sm hidden-xs">
                        <li>
                            <?php
                            $searchAction = esc_url( home_url( '/' ) );
                            $searchName = 's';
                            if(isset($autocar['opt_header_search_by']) && $autocar['opt_header_search_by'] == 'vehicles') {
                                $searchAction = get_post_type_archive_link('vehicles');
                                $searchName = 'title';
                            }
                            ?>
                            <div class="navbar-search-box">
                                <form class="navbar-search" method="GET" action="<?php echo esc_url($searchAction);?>">
                                    <input type="search" placeholder="Search......" name="<?php echo esc_attr($searchName);?>" class="navbar-search-input" onkeyup="buttonUp();" required>
                                    <button type="submit" class="navbar-search-submit">Go</button>
                                    <span class="navbar-search-icon">
                                    <i class="fa fa-search"></i>
                                </span>
                                </form>
                            </div>
                        </li>
                    </ul>
                    <?php endif;?>
                </div>
                <!-- /.navbar-collapse -->
                <!-- /.container -->
            </nav>
        </div>
    </header>