<?php
global $autocar;
// Displaying header

get_header();

$layout = $autocar['blog_page_layout'];
if(!$layout){
    $layout = 'right_sidebar';
}

$title = $autocar['blog_page_title'];
if (!$title) {
    $title = 'Blog';
}

$postPerPage = (int) get_option('posts_per_page');
if($postPerPage < 1){
    $postPerPage = 10;
}

$queryParam = null;
if(array_key_exists('s', $_GET)){
    $queryParam = $_GET['s'];
}
$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
?>
    <div class="blog-banner">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <h2><?php echo esc_attr($title); ?></h2>
                    <?php
                    if($queryParam) {
                        echo esc_attr('Search Term: '. $queryParam);
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
    <div class="blog-body content-area-5">
        <div class="container">
            <div class="row">
                <div class="<?php echo esc_attr($layout == 'full_layout' ? 'col-lg-12 col-md-12 col-xs-12' : 'col-lg-8 col-md-8 col-xs-12');?> <?php echo esc_attr($layout == 'left_sidebar' ? 'col-lg-push-4' : '');?>">
                    <?php
                    if ( have_posts() ) :
                        while ( have_posts() ) : the_post();
                            get_template_part('elements/posts');
                        endwhile;
                        ?>
                        <div class="blog-pagination">
                            <?php
                            the_posts_pagination( array(
                                'mid_size' => 2,
                                'prev_text' =>  __('&laquo;', 'autocar'),
                                'next_text' => __('&raquo;', 'autocar'),
                            ) );
                            ?>
                        </div>
                    <?php
                    else :
                        get_template_part('elements/record-not-found');
                    endif;
                    ?>
                </div>

                <?php if($layout != 'full_layout'):?>
                    <div class="col-lg-4 col-md-4 col-xs-12 <?php echo esc_attr($layout == 'left_sidebar' ? 'col-lg-pull-8' : '');?>">
                        <div class="blog-sidebar sidebar-widget">
                            <?php get_sidebar('blog')?>
                        </div>
                    </div>
                <?php endif;?>
            </div>
        </div>
    </div>

<?php get_footer();?>