<?php
/*
Template Name: Services (Services page layout)
*/
?>

<?php
global $autocar;
// Displaying header
get_header();

// Displaying single page banner
get_template_part('elements/banner-single');
?>

<?php
$query = array(
    'post_type' => 'services',
    'post_status' => 'publish',
    'posts_per_page' => 100
);
$services = new WP_Query($query);

$style = intval(get_field('service_style'));
?>

<div class="<?php echo esc_attr($style == 1 ? 'we-best' : 'our-serivce-2')?> content-area-2">
    <div class="container">
        <?php if($services->post_count > 0):?>
            <!-- Main title -->
            <div class="main-title">
                <h1><?php echo esc_attr(get_field('service_title_text'));?></h1>
                <div class="border">
                    <div class="border-inner"></div>
                </div>
                <p><?php echo esc_attr(get_field('service_subtitle_text'));?></p>
            </div>
            <div class="row">
                <?php while($services->have_posts()) : $services->the_post(); ?>
                    <div class="<?php echo esc_attr($style == 1 ? 'col-lg-3 col-md-3 col-sm-6 col-xs-12' : 'col-md-4 col-sm-6')?> wow fadeInUp delay-03s">
                        <?php
                        if($style == 1) {
                            get_template_part('elements/service');
                        } else {
                            get_template_part('elements/service-2');
                        }
                        ?>
                    </div>
                <?php endwhile;wp_reset_postdata(); ?>
            </div>
        <?php else:?>
            <?php get_template_part('elements/record-not-found') ?>
        <?php endif;?>
    </div>
</div>

<?php while ( have_posts() ) : the_post(); ?>
    <div class="page_dynamic_content">
        <?php echo the_content(); ?>
    </div>
<?php endwhile; ?>

<?php get_footer();?>