<?php
global $autocar;
// Displaying header
get_header();

// Displaying single page banner
get_template_part('elements/banner-single');

$args = array(
    'p'         => get_the_ID(), // ID of a page, post, or custom type
    'post_type' => 'services',
    'posts_per_page' => 1,
);
if(!isset($_GET['preview']) && !isset($_GET['preview_id'])){
    $args['post_status'] = array('publish');
}
$services = new WP_Query($args);
if($services->post_count == 0){
    $services->set_404();
    status_header( 404 );
    get_template_part( 404 );
    exit();
}
?>

<div class="content-area-2">
    <div class="container">
        <?php while ( $services->have_posts() ) : $services->the_post(); ?>
        <div <?php post_class();?>>
            <!-- Main title -->
            <div class="main-title text-uppercase">
                <h1>
                    <?php echo esc_attr(get_the_title());?>
                </h1>
                <div class="border">
                    <div class="border-inner"></div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="container">
                        <div class="page_dynamic_content">
                            <?php echo the_content(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php endwhile; ?>
    </div>
</div>

<?php get_footer();?>





