<?php
global $autocar;
// Displaying header
get_header();

// Displaying single page banner
get_template_part('elements/banner-single');

$args = array(
    'p'         => get_the_ID(), // ID of a page, post, or custom type
    'post_type' => 'teams',
    'posts_per_page' => 1,
);
if(!isset($_GET['preview']) && !isset($_GET['preview_id'])){
    $args['post_status'] = array('publish');
    $args['meta_query'] = array(
        [
            'key' => 'member_status',
            'value' => 'active',
            'compare' => '=',
        ]
    );
}
$teams = new WP_Query($args);
if($teams->post_count == 0){
    $teams->set_404();
    status_header( 404 );
    get_template_part( 404 );
    exit();
}

?>
<?php while ( $teams->have_posts() ) : $teams->the_post();?>

<?php
$memberName = get_the_title();
$image = array_values(rwmb_meta('member_image', ['size' => 'team-member-photo'], get_the_ID()));
if(sizeof($image) > 0){
    $memberImg = $image[0]['url'];
} else {
    global $autocar;
    $vehicleDummy = $autocar['opt_default_profile_image']['url'];
    $memberImg = $vehicleDummy;
}
?>
<div class="agent-page content-area-2">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <!-- Agent box start -->
                <div class="agent-box clearfix">
                    <div class="col-lg-4 col-md-5 col-sm-12 agent-box-theme">
                        <img src='<?php echo esc_url($memberImg);?>' alt='<?php esc_attr($memberName);?>' class='img-responsive'>
                    </div>
                    <div class="col-lg-8 col-md-7 col-sm-12 detail">
                        <h6><?php echo esc_attr(get_post_meta(get_the_ID(), 'member_type', true));?></h6>
                        <h3><a href="<?php echo esc_url(get_permalink());?>"><?php echo esc_attr($memberName);?></a></h3>
                        <p>
                            <?php echo esc_attr(get_post_meta(get_the_ID(), 'member_intro', true)); ?>
                        </p>
                        <!-- contact -->
                        <div class="contact">
                            <p>
                                <i class="fa fa-envelope-o"></i>
                                <a href="mailto:<?php echo esc_attr(get_post_meta(get_the_ID(), 'member_email', true) ? get_post_meta(get_the_ID(), 'member_email', true) : 'N/A')?>">
                                    <?php echo esc_attr(get_post_meta(get_the_ID(), 'member_email', true) ? get_post_meta(get_the_ID(), 'member_email', true) : 'N/A')?>
                                </a>
                            </p>
                            <p>
                                <i class="fa fa-mobile"></i>
                                <a href="tel:+<?php echo esc_attr(get_post_meta(get_the_ID(), 'member_phone', true) ? get_post_meta(get_the_ID(), 'member_phone', true) : 'N/A')?>">
                                    <?php echo esc_attr(get_post_meta(get_the_ID(), 'member_phone', true) ? get_post_meta(get_the_ID(), 'member_phone', true) : 'N/A')?>
                                </a>
                            </p>
                            <p>
                                <i class="fa fa-skype"></i>
                                <a>
                                    <?php echo esc_attr(get_post_meta(get_the_ID(), 'member_skype', true) ? get_post_meta(get_the_ID(), 'member_skype', true) : 'N/A')?>
                                </a>
                            </p>
                        </div>
                        <!-- social list -->

                        <ul class="social-list clearfix">
                            <?php if(get_post_meta(get_the_ID(), 'member_facebook', true)):?>
                                <li>
                                    <a href="<?php echo esc_attr(get_post_meta(get_the_ID(), 'member_facebook', true) ? get_post_meta(get_the_ID(), 'member_facebook', true) : '#'); ?>" class="facebook-bg">
                                        <i class="fa fa-facebook"></i>
                                    </a>
                                </li>
                            <?php endif;?>
                            <?php if(get_post_meta(get_the_ID(), 'member_twitter', true)):?>
                                <li>
                                    <a href="<?php echo esc_attr(get_post_meta(get_the_ID(), 'member_twitter', true) ? get_post_meta(get_the_ID(), 'member_twitter', true) : '#'); ?>" class="twitter-bg">
                                        <i class="fa fa-twitter"></i>
                                    </a>
                                </li>
                            <?php endif;?>
                            <?php if(get_post_meta(get_the_ID(), 'member_linkedin', true)):?>
                                <li>
                                    <a href="<?php echo esc_attr(get_post_meta(get_the_ID(), 'member_linkedin', true) ? get_post_meta(get_the_ID(), 'member_linkedin', true) : '#'); ?>" class="linkedin-bg">
                                        <i class="fa fa-linkedin"></i>
                                    </a>
                                </li>
                            <?php endif;?>
                            <?php if(get_post_meta(get_the_ID(), 'member_gplud', true)):?>
                                <li>
                                    <a href="<?php echo esc_attr(get_post_meta(get_the_ID(), 'member_gplud', true) ? get_post_meta(get_the_ID(), 'member_gplud', true) : '#'); ?>" class="google-bg">
                                        <i class="fa fa-google-plus"></i>
                                    </a>
                                </li>
                            <?php endif;?>
                            <?php if(get_post_meta(get_the_ID(), 'member_vimeo', true)):?>
                                <li>
                                    <a href="<?php echo esc_attr(get_post_meta(get_the_ID(), 'member_vimeo', true) ? get_post_meta(get_the_ID(), 'member_vimeo', true) : '#'); ?>" class="vimeo-bg">
                                        <i class="fa fa-vimeo"></i>
                                    </a>
                                </li>
                            <?php endif;?>
                        </ul>
                    </div>
                </div>
                <!-- Agent box end -->
            </div>
        </div>
    </div>

    <div class="container">
        <div class="page_dynamic_content mt-20">
            <?php echo the_content(); ?>
        </div>
    </div>
</div>
<?php endwhile;?>

<?php get_footer();?>