<?php

/**
 * Class FeaturedVehicle
 */
class FeaturedVehicle extends WP_Widget
{
    /**
     * FeaturedVehicle constructor.
     */
    public function __construct()
    {
        $widget_details = array(
            'classname' => 'featured_vehicle_widget',
            'description' => __('Featured Vehicle Widget', 'autocar')
        );

        parent::__construct('featured_vehicle_widget', __('Auto Car: Featured Vehicle', 'autocar'), $widget_details);
    }

    /**
     * @param array $instance
     */
    public function form($instance)
    {
        $title = !empty($instance['title']) ? $instance['title'] : 'Featured Vehicle';
        ?>
        <div class="widget_box">
            <div class="widget-field">
                <label><?php echo esc_attr__('Title', 'autocar'); ?></label>
                <input class="widefat form-control" name="<?php echo esc_attr($this->get_field_name('title')); ?>"
                       placeholder="<?php echo esc_attr__('Title', 'autocar'); ?>" value="<?php echo esc_attr($title); ?>"/>
            </div>
        </div>
        <?php
    }

    /**
     * @param array $new_instance
     * @param array $old_instance
     * @return array
     */
    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['title'] = $new_instance['title'];
        return $instance;
    }

    /**
     * @param array $args
     * @param array $instance
     */
    public function widget($args, $instance)
    {
        extract($args);
        $title = $instance['title'];
        echo $before_widget;
        $vehicles = getFeturedVehicles(array('posts_per_page' => 1));
        if($vehicles->post_count > 0){
            echo '<h2 class="title">'.$title.'</h2>';
            while ($vehicles->have_posts()): $vehicles->the_post();
                get_template_part('elements/listing-grid');
            endwhile;
            wp_reset_postdata();
        }
        echo $after_widget;
    }
}