<?php

/**
 * Class HelpCenter
 */
class HelpCenter extends WP_Widget
{
    /**
     * HelpCenter constructor.
     */
    public function __construct()
    {
        $widget_details = array(
            'classname' => 'help_center_widget',
            'description' => __('Help Center Widget', 'autocar')
        );

        parent::__construct('help_center_widget', __('Auto Car: Help Center', 'autocar'), $widget_details);
    }

    public function form($instance)
    {
        $title = !empty($instance['title']) ? $instance['title'] : 'Help Center';
        $text = !empty($instance['text']) ? $instance['text'] : '
        <ul class="contact-link">
                            <li>
                                <i class="fa fa-map-marker"></i>
                                Aenean vulputate porttitor
                            </li>
                            <li>
                                <i class="fa fa-phone"></i>
                                <a href="tel:+55-417-634-7071">
                                    +55 417 634 7071
                                </a>
                            </li>
                            <li>
                                <i class="fa fa-envelope-o"></i>
                                <a href="mailto:info@themevessel.com">
                                    info@themevessel.com
                                </a>
                            </li>
                        </ul>
        ';
        ?>
        <div class="widget_box">
            <div class="widget-field">
                <label><?php echo __('Title', 'autocar');?></label>
                <input class="widefat form-control" name="<?php echo esc_attr($this->get_field_name('title')); ?>"
                       placeholder="<?php echo __('Title', 'autocar');?>" value="<?php echo esc_attr($title); ?>"/>
            </div>
            <div class="widget-field">
                <label><?php echo __('Text', 'autocar');?>:</label>
                <textarea class="widefat form-control" name="<?php echo $this->get_field_name('text'); ?>" placeholder="<?php echo __('Help center', 'autocar');?>" rows="10"><?php echo $text; ?></textarea>
            </div>
        </div>
        <div class="clearfix"></div>
        <?php
    }

    /**
     * @param array $new_instance
     * @param array $old_instance
     * @return array
     */
    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['title'] = $new_instance['title'];
        $instance['text'] = $new_instance['text'];
        return $instance;
    }

    /**
     * @param array $args
     * @param array $instance
     */
    public function widget($args, $instance)
    {
        extract($args);
        $title = $instance['title'];
        $text = $instance['text'];
        echo $before_widget; ?>
        <div class="helping-Center single-block">
            <h2 class="title"><?php echo esc_attr($title);?></h2>
            <?php echo $text;?>
        </div>
        <?php echo $after_widget;
    }
}