<?php

/**
 * Class SendMessage
 */
class SendMessage extends WP_Widget
{
    /**
     * SendMessage constructor.
     */
    public function __construct()
    {
        $widget_details = array(
            'classname' => 'send_message_widget',
            'description' => __('Send Message Widget', 'autocar')
        );

        parent::__construct('send_message_widget', __('Auto Car: Send Message', 'autocar'), $widget_details);
    }


    /**
     * @param array $instance
     */
    public function form($instance)
    {
        $title = !empty($instance['title']) ? $instance['title'] : 'Send Message';
        $formID = !empty($instance['formID']) ? $instance['formID'] : '0';
        ?>
        <div class="widget_box">
            <div class="widget-field">
                <label><?php echo esc_attr__('Title', 'autocar');?></label>
                <input class="widefat form-control" name="<?php echo esc_attr($this->get_field_name('title')); ?>"
                       placeholder="<?php echo esc_attr__('Title', 'autocar');?>" value="<?php echo esc_attr($title); ?>"/>
            </div>
            <div class="widget-field">
                <label><?php echo esc_attr__('Choose Contact Form', 'autocar');?></label>
                <?php
                $args = array('post_type' => 'wpcf7_contact_form', 'posts_per_page' => -1);
                $forms = array();
                if( $data = get_posts($args)){
                    foreach($data as $key){
                        $forms[$key->ID] = $key->post_title;
                    }
                }else{
                    $forms['0'] = esc_html__('No Contact Form found', 'autocar');
                }
                ?>

                <select id="contact_form_id" class="widefat form-control" name="<?php echo esc_attr($this->get_field_name('formID')); ?>">
                    <option value="0"><?php echo esc_attr__('Choose Form', 'autocar')?></option>
                    <?php foreach ($forms as $key => $value):?>
                        <option value="<?php echo esc_attr($key);?>" <?php echo $key == $formID ? esc_attr('selected'): ''?> ><?php echo esc_attr($value);?></option>
                    <?php endforeach;?>
                </select>
            </div>
        </div>
        <?php
    }

    /**
     * @param array $new_instance
     * @param array $old_instance
     * @return array
     */
    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['title'] = $new_instance['title'];
        $instance['formID'] = $new_instance['formID'];
        return $instance;
    }

    /**
     * @param array $args
     * @param array $instance
     */
    public function widget($args, $instance)
    {
        extract($args);
        $title = $instance['title'];
        $formID = (int) $instance['formID'];
        echo $before_widget; ?>

        <div class="private-message-to-dealer">
            <h2 class="title"><?php echo esc_attr($title);?></h2>
            <!-- Contact form start -->
            <div class="contact-form">
                <?php
                if($formID > 0) {
                    $shortCode = '[contact-form-7 id="'.$formID.'" title="'.$title.'"]';
                    echo do_shortcode($shortCode);
                }
                ?>
            </div>
            <!-- Contact form end -->
        </div>
        <div class="clearfix"></div>
        <?php echo $after_widget;
    }
}