<?php
// Displaying header
get_header();

$term = get_term_by('slug', get_query_var('term'), get_query_var('taxonomy'));
$queryParams = $_GET;
if ($term->taxonomy == 'vehicle_brands') {
    $queryParams['brands'][] = $term->term_id;
} else if ($term->taxonomy == 'vehicle_fuels') {
    $queryParams['fuel'] = $term->slug;
} else if ($term->taxonomy == 'vehicle_categories') {
    $queryParams['categories'][] = $term->term_id;
} else if ($term->taxonomy == 'vehicle_transmissions') {
    $queryParams['transmission'] = $term->slug;
} else if ($term->taxonomy == 'vehicle_conditions') {
    $queryParams['condition'] = $term->slug;
} else if ($term->taxonomy == 'vehicle_features') {
    $queryParams['features'][] = $term->term_id;
}

// Displaying single page banner
get_template_part('elements/banner-single');
?>

    <div class="car-list content-area">
        <?php $sidebarPosition = get_field('sidebar_position', false, true);?>
        <div class="container">
            <div class="row">
                <div class="col-lg-8 col-md-8 col-sm-12 col-xs-12 <?php if($sidebarPosition == 'Left'){echo esc_attr__('col-lg-push-4 col-md-push-4', 'autocar');}?>">
                    <?php
                    $view = strtolower(get_field('listing_view'));
                    if(array_key_exists('view', $_GET) && $_GET['view']){
                        $view = $_GET['view'];
                    } else if(!$view) {
                        $view = strtolower($autocar['opt_default_listing_view']);
                    }
                    ?>

                    <?php
                    $vehicles = new WP_Query(wp_autocar_get_vehicles_query_builder($queryParams));
                    if($vehicles->post_count > 0){
                        get_template_part('elements/option-bar');
                    } else{
                        get_template_part('elements/record-not-found');
                    }
                    ?>
                    <?php ?>

                    <div class="row">
                        <?php
                        while($vehicles->have_posts()): $vehicles->the_post();
                            ?>
                            <?php
                            if($view == 'grid'):
                                ?>
                                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                                    <?php get_template_part('elements/listing-grid') ?>
                                </div>
                            <?php else:?>
                                <?php get_template_part('elements/listing-list') ?>
                            <?php endif;?>
                        <?php endwhile;?>
                    </div>
                    <?php if($vehicles->max_num_pages): ?>
                        <div class="page-count"><?php _e('Showing page','autocar'); ?> <?php echo esc_attr($paged == 0 ? $paged + 1 : $paged); ?> <?php _e('of','autocar'); ?> <?php echo esc_attr($vehicles->max_num_pages); ?></div>
                        <?php wp_autocar_pagination($vehicles->max_num_pages); ?>
                        <br/>
                    <?php endif; ?>
                </div>

                <div class="col-lg-4 col-md-4 col-xs-12 <?php if($sidebarPosition == 'Left'){echo esc_attr__('col-lg-pull-8 col-md-pull-8', 'autocar');}?>">
                    <div class="vehicle-sidebar-area">
                        <?php get_sidebar('vehicle'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php get_footer();?>