<?php
/*
Template Name: Teams (Team member page layout)
*/
?>

<?php
global $autocar;
// Displaying header
get_header();


// Displaying single page banner
get_template_part('elements/banner-single');
?>

<?php
$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
$query = array(
    'post_type' => 'teams',
    'posts_per_page' => get_field('member_per_page'),
    'paged' => $paged,
    'meta_query' => array(
        [
            'key' => 'member_status',
            'value' => 'active',
            'compare' => '=',
        ]
    )
);
$members = new WP_Query($query);
?>

<div class="agent-meet content-area">
    <div class="container">
        <?php if($members->post_count > 0):?>
            <!-- Main title -->
            <div class="main-title">
                <h1><?php echo esc_attr(get_field('team_member_title_text'));?></h1>
                <div class="border">
                    <div class="border-inner"></div>
                </div>
                <p><?php echo esc_attr(get_field('team_member_subtitle_text'));?></p>
            </div>

            <div class="row">
                <?php while($members->have_posts()) : $members->the_post(); ?>
                    <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                        <?php get_template_part('elements/team') ?>
                    </div>
                <?php endwhile;wp_reset_postdata(); ?>
            </div>

            <div class="page-count"><?php _e('Showing page','autocar'); ?> <?php echo esc_attr($paged == 0 ? $paged + 1 : $paged); ?> <?php _e('of','autocar'); ?> <?php echo esc_attr($members->max_num_pages); ?></div>
            <?php wp_autocar_pagination($members->max_num_pages); ?>

        <?php else:?>
            <?php get_template_part('elements/record-not-found') ?>
        <?php endif;?>
    </div>
</div>

<?php while ( have_posts() ) : the_post(); ?>
    <div class="page_dynamic_content">
        <?php echo the_content(); ?>
    </div>
<?php endwhile; ?>

<?php get_footer();?>