<?php global $title, $subtitle, $animation, $class; ?>

<div class="testimonials-2 <?php echo esc_attr($class);?> <?php echo $animation == 'yes' ? esc_attr('wow fadeInUp delay-03s') : null;?>">
    <div class="section-content-div">
        <div class="row">
            <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
                <div class="sec-title-three">
                    <h4><?php echo __('Happy Clients', 'autocar');?></h4>
                    <h2><?php echo esc_attr($title)?></h2>
                    <div class="text">
                        <?php echo esc_attr($subtitle)?>
                    </div>
                </div>
            </div>

            <div class="col-lg-8 col-md-8 col-sm-12 col-xs-12">
                <div class="testimonials">
                    <?php if($posts->have_posts()):?>
                        <?php $carosoelId = uniqid(); $counter = 1;?>
                        <div id="<?php echo esc_attr($carosoelId)?>" class="carousel slide" data-ride="carousel">
                        <!-- Indicators -->

                        <!-- Wrapper for slides -->
                        <div class="carousel-inner" role="listbox">
                            <?php while($posts->have_posts()): $posts->the_post(); ?>
                                <div class="item content clearfix <?php echo esc_attr($counter == 1 ? 'active' : '')?>">
                                    <div <?php post_class();?>>
                                        <div class="col-lg-4 col-md-5 col-sm-5 col-xs-12">
                                            <?php
                                            global $autocar;
                                            $clientImage = array_values(rwmb_meta( 'testimonial_image',[], get_the_ID()));
                                            $clientName = the_title('"', '"', false);
                                            if(sizeof($clientImage) > 0){
                                                $clientImg = $clientImage[0]['url'];
                                            } else {
                                                $clientImg = $autocar['opt_default_profile_image']['url'];
                                            }
                                            ?>
                                            <div class="avatar">
                                                <img src='<?php echo esc_url($clientImg)?>' class="img-responsive" alt='<?php echo esc_attr($clientName);?>'>
                                            </div>
                                        </div>
                                        <div class="col-lg-8 col-md-7 col-sm-7 col-xs-12">
                                            <div class="text">
                                                <p><?php the_content()?></p>
                                            </div>
                                            <div class="author-name">
                                                <?php echo esc_attr($clientName);?>
                                            </div>
                                            <?php
                                            $star = (int) get_post_meta(get_the_ID(), 'testimonial_rating', true);
                                            $unStar = 5 - $star;
                                            ?>
                                            <ul class="rating">
                                                <?php while ($star > 0): ?>
                                                    <li>
                                                        <i class="fa fa-star"></i>
                                                    </li>
                                                    <?php $star--; endwhile; ?>
                                                <?php while ($unStar > 0): ?>
                                                    <li>
                                                        <i class="fa fa-star-half-full"></i>
                                                    </li>
                                                    <?php $unStar--; endwhile; ?>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            <?php $counter++; endwhile;?>
                        </div>

                        <?php if($posts->post_count > 1):?>
                            <!-- Controls -->
                            <a class="left carousel-control" href="#<?php echo esc_attr($carosoelId);?>" role="button" data-slide="prev">
                            <span class="t-slider-l slider-mover-left" aria-hidden="true">
                                <i class="fa fa-angle-left"></i>
                            </span>
                                <span class="sr-only"><?php echo __('Previous', 'autocar');?></span>
                            </a>
                            <a class="right carousel-control" href="#<?php echo esc_attr($carosoelId);?>" role="button" data-slide="next">
                            <span class="t-slider-r slider-mover-right" aria-hidden="true">
                                 <i class="fa fa-angle-right"></i>
                            </span>
                                <span class="sr-only"><?php echo __('Next', 'autocar');?></span>
                            </a>
                        <?php endif;?>
                    </div>
                    <?php endif;?>
                </div>
            </div>
        </div>
    </div>
</div>